Bug 111330 - [CI][SHARDS] igt@gem_mocs_settings@mocs-rc6-bsd2 - fail - Failed assertion: read_val == val
Summary: [CI][SHARDS] igt@gem_mocs_settings@mocs-rc6-bsd2 - fail - Failed assertion: r...
Status: RESOLVED MOVED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-08 08:32 UTC by Lakshmi
Modified: 2019-11-29 19:22 UTC (History)
1 user (show)

See Also:
i915 platform: ICL, TGL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-08-08 08:32:36 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6648/shard-iclb2/igt@gem_mocs_settings@mocs-rc6-bsd2.html
Starting subtest: mocs-rc6-bsd2
(gem_mocs_settings:1095) CRITICAL: Test assertion failure function check_control_registers, file ../tests/i915/gem_mocs_settings.c:378:
(gem_mocs_settings:1095) CRITICAL: Failed assertion: read_val == val
(gem_mocs_settings:1095) CRITICAL: engine=16386 index=0 read_value=0x00000030 value=0x00000005
Subtest mocs-rc6-bsd2 failed.
**** DEBUG ****
(gem_mocs_settings:1095) ioctl_wrappers-DEBUG: Test requirement passed: gem_has_ring(fd, ring)
(gem_mocs_settings:1095) DEBUG: Test requirement passed: get_engine_base(fd, engine)
(gem_mocs_settings:1095) CRITICAL: Test assertion failure function check_control_registers, file ../tests/i915/gem_mocs_settings.c:378:
(gem_mocs_settings:1095) CRITICAL: Failed assertion: read_val == val
(gem_mocs_settings:1095) CRITICAL: engine=16386 index=0 read_value=0x00000030 value=0x00000005
(gem_mocs_settings:1095) igt_core-INFO: Stack trace:
(gem_mocs_settings:1095) igt_core-INFO:   #0 ../lib/igt_core.c:1674 __igt_fail_assert()
(gem_mocs_settings:1095) igt_core-INFO:   #1 ../tests/i915/gem_mocs_settings.c:376 check_mocs_values()
(gem_mocs_settings:1095) igt_core-INFO:   #2 [<unknown>+0x0]
****  END  ****
Subtest mocs-rc6-bsd2: FAIL (0.012s)
Comment 1 CI Bug Log 2019-08-08 08:33:54 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@gem_mocs_settings@mocs-rc6-bsd2 - fail - Failed assertion: read_val == val
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13884/shard-iclb2/igt@gem_mocs_settings@mocs-isolation-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13884/shard-iclb4/igt@gem_mocs_settings@mocs-rc6-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13897/shard-iclb1/igt@gem_mocs_settings@mocs-reset-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4714/shard-iclb4/igt@gem_mocs_settings@mocs-isolation-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6648/shard-iclb2/igt@gem_mocs_settings@mocs-rc6-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6648/shard-iclb4/igt@gem_mocs_settings@mocs-isolation-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13901/shard-iclb1/igt@gem_mocs_settings@mocs-rc6-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13902/shard-iclb1/igt@gem_mocs_settings@mocs-reset-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13902/shard-iclb2/igt@gem_mocs_settings@mocs-rc6-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4715/shard-iclb2/igt@gem_mocs_settings@mocs-reset-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6649/shard-iclb4/igt@gem_mocs_settings@mocs-reset-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4717/shard-iclb4/igt@gem_mocs_settings@mocs-rc6-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13904/shard-iclb2/igt@gem_mocs_settings@mocs-rc6-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13905/shard-iclb1/igt@gem_mocs_settings@mocs-reset-bsd2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13906/shard-iclb4/igt@gem_mocs_settings@mocs-rc6-bsd2.html
Comment 3 Chris Wilson 2019-08-10 16:29:02 UTC
commit d5b2a3a4f85ad135123db8fc97ccdbf893546330
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 9 13:31:53 2019 +0100

    drm/i915: Check for a second VCS engine more carefully
Comment 4 Chris Wilson 2019-08-13 16:04:25 UTC
This is a bit more peculiar as the register addresses we read do not depend on the engine->mmio_base and so should be irrespective of which engine we read them from. Ergo this looks to be a genuine fail.
Comment 5 Chris Wilson 2019-08-13 16:07:28 UTC
(In reply to Chris Wilson from comment #4)
> This is a bit more peculiar as the register addresses we read do not depend
> on the engine->mmio_base and so should be irrespective of which engine we
> read them from. Ergo this looks to be a genuine fail.

Gah. No, I was blind, there was a

const uint32_t reg_base = get_engine_base(fd, engine);

hiding in plain sight.
Comment 6 Francesco Balestrieri 2019-08-28 04:59:55 UTC
> Gah. No, I was blind, there was a

> const uint32_t reg_base = get_engine_base(fd, engine);

> hiding in plain sight.

Is it a genuine failure then?
Comment 7 CI Bug Log 2019-11-14 08:25:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@gem_mocs_settings@mocs-* - fail - Failed assertion: read_val == val -}
{+ ICL TGL: igt@gem_mocs_settings@mocs-* - fail - Failed assertion: read_val == val +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb1/igt@gem_mocs_settings@mocs-rc6-render.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb2/igt@gem_mocs_settings@mocs-rc6-ctx-render.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb2/igt@gem_mocs_settings@mocs-isolation-vebox.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/igt@gem_mocs_settings@mocs-settings-vebox.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/igt@gem_mocs_settings@mocs-settings-bsd1.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/igt@gem_mocs_settings@mocs-reset-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/igt@gem_mocs_settings@mocs-settings-render.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/igt@gem_mocs_settings@mocs-reset-bsd2.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb4/igt@gem_mocs_settings@mocs-settings-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb6/igt@gem_mocs_settings@mocs-reset-render.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb9/igt@gem_mocs_settings@mocs-reset-vebox.html
Comment 8 Lakshmi 2019-11-14 08:25:34 UTC
(In reply to CI Bug Log from comment #7)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- ICL: igt@gem_mocs_settings@mocs-* - fail - Failed assertion: read_val ==
> val -}
> {+ ICL TGL: igt@gem_mocs_settings@mocs-* - fail - Failed assertion: read_val
> == val +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb1/
> igt@gem_mocs_settings@mocs-rc6-render.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb2/
> igt@gem_mocs_settings@mocs-rc6-ctx-render.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb2/
> igt@gem_mocs_settings@mocs-isolation-vebox.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/
> igt@gem_mocs_settings@mocs-settings-vebox.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/
> igt@gem_mocs_settings@mocs-settings-bsd1.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/
> igt@gem_mocs_settings@mocs-reset-blt.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/
> igt@gem_mocs_settings@mocs-settings-render.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb3/
> igt@gem_mocs_settings@mocs-reset-bsd2.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb4/
> igt@gem_mocs_settings@mocs-settings-blt.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb6/
> igt@gem_mocs_settings@mocs-reset-render.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7332/shard-tglb9/
> igt@gem_mocs_settings@mocs-reset-vebox.html

Also on TGL.
Comment 9 Francesco Balestrieri 2019-11-25 04:57:05 UTC
Lakshmi, this was reported several tens of times in a day, then not seen for almost two weeks. Is it an issue with CI reporting or is it really gone?
Comment 10 Lakshmi 2019-11-26 07:06:22 UTC
(In reply to Francesco Balestrieri from comment #9)
> Lakshmi, this was reported several tens of times in a day, then not seen for
> almost two weeks. Is it an issue with CI reporting or is it really gone?

At the moment affected tests are either skipping or notrun. So, not sure if it's fixed but the filters are correct. May be we can wait for few more days and see the results.
Comment 11 Martin Peres 2019-11-29 19:22:24 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/drm/intel/issues/361.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.